<?php
include_once(getabspath("include/cobro_settings.php"));

function DisplayMasterTableInfo_cobro($params)
{
	$detailtable=$params["detailtable"];
	$keys=$params["keys"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	
	$oldTableName=$strTableName;
	$strTableName="cobro";

//$strSQL = "SELECT idcobro,   fecha,   idventa,   idmovimiento,   total,   anulado  FROM cobro ";

	$cipherer = new RunnerCipherer($strTableName);
	$settings = new ProjectSettings($strTableName, PAGE_PRINT);
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT);

$where="";

global $pageObject, $page_styles, $page_layouts, $page_layout_names, $container_styles;
$layout = new TLayout("masterprint","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterprintheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterprintfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["cobro_masterprint"] = $layout;


$showKeys = "";
if($detailtable=="det_cobro")
{
		$where.= GetFullFieldName("idcobro", "", false)."=".$cipherer->MakeDBValue("idcobro",$keys[1-1], "", "", true);
	$showKeys .= " "."ID Cobro".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
	
}
if(!$where)
{
	$strTableName=$oldTableName;
	return;
}
	$str = SecuritySQL("Export");
	if(strlen($str))
		$where.=" and ".$str;
	
	$strWhere = whereAdd($masterQuery->m_where->toSql($masterQuery),$where);
	if(strlen($strWhere))
		$strWhere=" where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL=AddWhere($strSQL,$where);

	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName=$oldTableName;
		return;
	}
	$keylink="";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idcobro"]));
	

//	idcobro - 
			$xt->assign("idcobro_mastervalue", $viewControls->showDBValue("idcobro", $data, $keylink));

//	fecha - Short Date
			$xt->assign("fecha_mastervalue", $viewControls->showDBValue("fecha", $data, $keylink));

//	idventa - Number
			$xt->assign("idventa_mastervalue", $viewControls->showDBValue("idventa", $data, $keylink));

//	idmovimiento - 
			$xt->assign("idmovimiento_mastervalue", $viewControls->showDBValue("idmovimiento", $data, $keylink));

//	total - 
			$xt->assign("total_mastervalue", $viewControls->showDBValue("total", $data, $keylink));

//	anulado - 
			$xt->assign("anulado_mastervalue", $viewControls->showDBValue("anulado", $data, $keylink));
	$xt->display("cobro_masterprint.htm");
	$strTableName=$oldTableName;

}

?>